/**
 * 入库单 api 封装
 *
 * @Author:    霍锦
 * @Date:      2025-03-26 15:10:02
 * @Copyright  友仓
 */
import { postRequest, getRequest } from '/@/lib/axios';

export const asnApi = {

  /**
   * 分页查询  @author  霍锦
   */
  queryPage : (param:object) => {
    return postRequest('/asn/queryPage', param);
  },

  /**
   * 增加  @author  霍锦
   */
  add: (param:object) => {
      return postRequest('/asn/add', param);
  },

  /**
   * 修改  @author  霍锦
   */
  update: (param:object) => {
      return postRequest('/asn/update', param);
  },


  /**
   * 删除  @author  霍锦
   */
  delete: (asnId:number) => {
      return getRequest('/asn/delete',{asnId});
  },

  /**
   * 批量删除  @author  霍锦
   */
  batchDelete: (idList:number[]) => {
      return postRequest('/asn/batchDelete', idList);
  },

};
